=== debian/changelog ===
smapi (2.0.0-1) unstable; urgency=low

  * Stable smapi Number ONE :) (unstable above means Distribution unstable
    not unstable smapi ! :)) )

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Mon,  2 Jul 2001 22:35:07 +0200

Local variables:
mode: debian-changelog
End:
